Package org.pgpainless.sop

# Class InlineDetachImpl

java.lang.Object
org.pgpainless.sop.InlineDetachImpl

All Implemented Interfaces:
  `sop.operation.InlineDetach`

public class InlineDetachImpl extends Object implements sop.operation.InlineDetach
Implementation of the

    inline-detach

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`InlineDetachImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.ReadyWithResult<sop.Signatures>`
`message(InputStream messageInputStream)`
`sop.operation.InlineDetach`
`noArmor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.InlineDetach

`message`

## Constructor Details

### InlineDetachImpl

public InlineDetachImpl()

## Method Details

### noArmor

public sop.operation.InlineDetach noArmor()

Specified by:
  `noArmor` in interface `sop.operation.InlineDetach`

### message

public sop.ReadyWithResult<sop.Signatures> message(InputStream messageInputStream)

Specified by:
  `message` in interface `sop.operation.InlineDetach`